"Vim script for converting Betacode to Unicode
"Maintainer: Mihail Radu Solcan
"Version: 0.1
"Last updated: 2007-08-23
"Copyright: GPL
"No waranty. Use at your own risk

"The next two lines are inspired by
"Tip #617: Fun with case twiddling
"on www.vim.org

:normal ggVGu

:%s/\*\([^a-z]*\)\([a-z]\)/\u\2\1/ge

"substituţii pentru sigma final
:%s/s$/j/e
:%s/s /j /ge 
:%s/s2/j/ge 
:%s/s,/j,/ge 
:%s/s\./j\./ge 
:%s/s:/j:/ge 
:%s/s;/j;/ge 
:%s/s]/j]/ge
:%s/s>/j>/ge
:%s/s</j</ge
:%s/s\n/j\r/ge

" Betacode din 4 semne
:%s/a)\\|/ᾂ/ge 
:%s/a(\\|/ᾃ/ge 
:%s/a)\/|/ᾄ/ge 
:%s/a(\/|/ᾅ/ge 
:%s/a)=|/ᾆ/ge 
:%s/a(=|/ᾇ/ge 
:%s/A)\\|/ᾊ/ge 
:%s/A(\\|/ᾋ/ge 
:%s/A)\/|/ᾌ/ge 
:%s/A(\/|/ᾍ/ge 
:%s/A)=|/ᾎ/ge 
:%s/A(=|/ᾏ/ge 
:%s/h)\\|/ᾒ/ge 
:%s/h(\\|/ᾓ/ge 
:%s/h)\/|/ᾔ/ge 
:%s/h(\/|/ᾕ/ge 
:%s/h)=|/ᾖ/ge 
:%s/h(=|/ᾗ/ge 
:%s/H)\\|/ᾚ/ge 
:%s/H(\\|/ᾛ/ge 
:%s/H)\/|/ᾜ/ge 
:%s/H(\/|/ᾝ/ge 
:%s/H)=|/ᾞ/ge 
:%s/H(=|/ᾟ/ge 
:%s/w)\\|/ᾢ/ge 
:%s/w(\\|/ᾣ/ge 
:%s/w)\/|/ᾤ/ge 
:%s/w(\/|/ᾥ/ge 
:%s/w)=|/ᾦ/ge 
:%s/w(=|/ᾧ/ge 
:%s/W)\\|/ᾪ/ge 
:%s/W(\\|/ᾫ/ge 
:%s/W)\/|/ᾬ/ge 
:%s/W(\/|/ᾭ/ge 
:%s/W)=|/ᾮ/ge 
:%s/W(=|/ᾯ/ge 
:%s/a%27/ᾰ/ge 
:%s/a%26/ᾱ/ge 
:%s/A%27/Ᾰ/ge 
:%s/A%26/Ᾱ/ge 
:%s/i%27/ῐ/ge 
:%s/i%26/ῑ/ge 
:%s/I%27/Ῐ/ge 
:%s/I%26/Ῑ/ge 
:%s/u%27/ῠ/ge 
:%s/u%26/ῡ/ge 
:%s/U%27/Ῠ/ge 
:%s/U%26/Ῡ/ge 

"Betacode din 3 semne

:%s/a)\\/ἂ/ge 
:%s/a(\\/ἃ/ge 
:%s/a)\//ἄ/ge 
:%s/a(\//ἅ/ge 
:%s/a)=/ἆ/ge 
:%s/a(=/ἇ/ge 
:%s/A)\\/Ἂ/ge 
:%s/A(\\/Ἃ/ge 
:%s/A)\//Ἄ/ge 
:%s/A(\//Ἅ/ge 
:%s/A)=/Ἆ/ge 
:%s/A(=/Ἇ/ge 
:%s/e)\\/ἒ/ge 
:%s/e(\\/ἓ/ge 
:%s/e)\//ἔ/ge 
:%s/e(\//ἕ/ge 
:%s/E)\\/Ἒ/ge 
:%s/E(\\/Ἓ/ge 
:%s/E)\//Ἔ/ge 
:%s/E(\//Ἕ/ge 
:%s/h)\\/ἢ/ge 
:%s/h(\\/ἣ/ge 
:%s/h)\//ἤ/ge 
:%s/h(\//ἥ/ge 
:%s/h)=/ἦ/ge 
:%s/h(=/ἧ/ge 
:%s/H)\\/Ἢ/ge 
:%s/H(\\/Ἣ/ge 
:%s/H)\//Ἤ/ge 
:%s/H(\//Ἥ/ge 
:%s/H)=/Ἦ/ge 
:%s/H(=/Ἧ/ge 
:%s/i)\\/ἲ/ge 
:%s/i(\\/ἳ/ge 
:%s/i)\//ἴ/ge 
:%s/i(\//ἵ/ge 
:%s/i)=/ἶ/ge 
:%s/i(=/ἷ/ge 
:%s/I)\\/Ἲ/ge 
:%s/I(\\/Ἳ/ge 
:%s/I)\//Ἴ/ge 
:%s/I(\//Ἵ/ge 
:%s/I(=/Ἷ/ge 
:%s/o)\\/ὂ/ge 
:%s/o(\\/ὃ/ge 
:%s/o)\//ὄ/ge 
:%s/o(\//ὅ/ge 
:%s/O)\\/Ὂ/ge 
:%s/O)\//Ὄ/ge 
:%s/O(\//Ὅ/ge 
:%s/u)\\/ὒ/ge 
:%s/u(\\/ὓ/ge 
:%s/u)\//ὔ/ge 
:%s/u(\//ὕ/ge 
:%s/u)=/ὖ/ge 
:%s/u(=/ὗ/ge 
:%s/U(\\/Ὓ/ge 
:%s/U(\//Ὕ/ge 
:%s/U(=/Ὗ/ge 
:%s/w)\\/ὢ/ge 
:%s/w(\\/ὣ/ge 
:%s/w)\//ὤ/ge 
:%s/w(\//ὥ/ge 
:%s/w)=/ὦ/ge 
:%s/w(=/ὧ/ge 
:%s/W)\\/Ὢ/ge 
:%s/W(\\/Ὣ/ge 
:%s/W)\//Ὤ/ge 
:%s/W(\//Ὥ/ge 
:%s/W)=/Ὦ/ge 
:%s/W(=/Ὧ/ge 
:%s/a)|/ᾀ/ge 
:%s/a(|/ᾁ/ge 
:%s/A)|/ᾈ/ge 
:%s/A(|/ᾉ/ge 
:%s/h)|/ᾐ/ge 
:%s/h(|/ᾑ/ge 
:%s/H)|/ᾘ/ge 
:%s/H(|/ᾙ/ge 
:%s/w)|/ᾠ/ge 
:%s/w(|/ᾡ/ge 
:%s/W)|/ᾨ/ge 
:%s/W(|/ᾩ/ge 
:%s/a\\|/ᾲ/ge 
:%s/a\/|/ᾴ/ge 
:%s/a=|/ᾷ/ge 
:%s/h\\|/ῂ/ge 
:%s/h\/|/ῄ/ge 
:%s/h=|/ῇ/ge 
:%s/i\\+/ῒ/ge 
:%s/i\/+/ΐ/ge 
:%s/i=+/ῗ/ge 
:%s/u\\+/ῢ/ge 
:%s/u\/+/ΰ/ge 
:%s/u=+/ῧ/ge 
:%s/w\\|/ῲ/ge 
:%s/w\/|/ῴ/ge 
:%s/w=|/ῷ/ge 

"Betacode din 2 semne

:%s/S3/Ϲ/ge 
:%s/s2/ς/ge 
:%s/s3/ϲ/ge 
:%s/i+/ϊ/ge 
:%s/u+/ϋ/ge 
:%s/a)/ἀ/ge 
:%s/a(/ἁ/ge 
:%s/A)/Ἀ/ge 
:%s/A(/Ἁ/ge 
:%s/e)/ἐ/ge 
:%s/e(/ἑ/ge 
:%s/E)/Ἐ/ge 
:%s/E(/Ἑ/ge 
:%s/h)/ἠ/ge 
:%s/h(/ἡ/ge 
:%s/H)/Ἠ/ge 
:%s/H(/Ἡ/ge 
:%s/i)/ἰ/ge 
:%s/i(/ἱ/ge 
:%s/I)/Ἰ/ge 
:%s/I(/Ἱ/ge 
:%s/o)/ὀ/ge 
:%s/o(/ὁ/ge 
:%s/O)/Ὀ/ge 
:%s/O(/Ὁ/ge 
:%s/u)/ὐ/ge 
:%s/u(/ὑ/ge 
:%s/U(/Ὑ/ge 
:%s/w)/ὠ/ge 
:%s/w(/ὡ/ge 
:%s/W)/Ὠ/ge 
:%s/W(/Ὡ/ge 
:%s/a\\/ὰ/ge 
:%s/a\//ά/ge 
:%s/e\\/ὲ/ge 
:%s/e\//έ/ge 
:%s/h\\/ὴ/ge 
:%s/h\//ή/ge 
:%s/i\\/ὶ/ge 
:%s/i\//ί/ge 
:%s/o\\/ὸ/ge 
:%s/o\//ό/ge 
:%s/u\\/ὺ/ge 
:%s/u\//ύ/ge 
:%s/w\\/ὼ/ge 
:%s/w\//ώ/ge 
:%s/a|/ᾳ/ge 
:%s/a=/ᾶ/ge 
:%s/A\\/Ὰ/ge 
:%s/A\//Ά/ge 
:%s/A|/ᾼ/ge 
:%s/h|/ῃ/ge 
:%s/h=/ῆ/ge 
:%s/E\\/Ὲ/ge 
:%s/E\//Έ/ge 
:%s/H\\/Ὴ/ge 
:%s/H\//Ή/ge 
:%s/H|/ῌ/ge 
:%s/i=/ῖ/ge 
:%s/I\\/Ὶ/ge 
:%s/I\//Ί/ge 
:%s/r)/ῤ/ge 
:%s/r(/ῥ/ge 
:%s/u=/ῦ/ge 
:%s/U\\/Ὺ/ge 
:%s/U\//Ύ/ge 
:%s/R(/Ῥ/ge 
:%s/w|/ῳ/ge 
:%s/w=/ῶ/ge 
:%s/O\\/Ὸ/ge 
:%s/O\//Ό/ge 
:%s/W\\/Ὼ/ge 
:%s/W\//Ώ/ge 
:%s/W|/ῼ/ge 

" Litere mari

:%s/A/Α/ge 
:%s/B/Β/ge 
:%s/G/Γ/ge 
:%s/D/Δ/ge 
:%s/E/Ε/ge 
:%s/Z/Ζ/ge 
:%s/H/Η/ge 
:%s/Q/Θ/ge 
:%s/I/Ι/ge 
:%s/K/Κ/ge 
:%s/L/Λ/ge 
:%s/M/Μ/ge 
:%s/N/Ν/ge 
:%s/C/Ξ/ge 
:%s/O/Ο/ge 
:%s/P/Π/ge 
:%s/R/Ρ/ge 
:%s/S/Σ/ge 
:%s/T/Τ/ge 
:%s/U/Υ/ge 
:%s/F/Φ/ge 
:%s/X/Χ/ge 
:%s/Y/Ψ/ge 
:%s/W/Ω/ge 

" Litere mici

:%s/a/α/ge 
:%s/b/β/ge 
:%s/g/γ/ge 
:%s/d/δ/ge 
:%s/e/ε/ge 
:%s/z/ζ/ge 
:%s/h/η/ge 
:%s/q/θ/ge 
:%s/i/ι/ge 
:%s/k/κ/ge 
:%s/l/λ/ge 
:%s/m/μ/ge 
:%s/n/ν/ge 
:%s/c/ξ/ge 
:%s/o/ο/ge 
:%s/p/π/ge 
:%s/r/ρ/ge 
:%s/j/ς/ge 
:%s/s/σ/ge 
:%s/t/τ/ge 
:%s/u/υ/ge 
:%s/f/φ/ge 
:%s/x/χ/ge 
:%s/y/ψ/ge 
:%s/w/ω/ge 

"înapoi la primul rând

:normal gg
